from django.db import models
from manager import SafeManager

class SafeModel(models.Model):
    objects = SafeManager()         # By default, SafeManagers do not chek permissions.
    safe_objects = SafeManager()    # This setting is activated in the middleware
    
    class Meta:
        abstract = True